com.intellectualcrafters.jnbt

## Class ListTagBuilder

- java.lang.Object
- - com.intellectualcrafters.jnbt.ListTagBuilder

-     public class ListTagBuilder
      extends java.lang.Object

  Helps create list tags.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ListTagBuilder` | `add(Tag value)` Add the given tag.
    `ListTagBuilder` | `addAll(java.util.Collection<? extends Tag> value)` Add all the tags in the given list.
    `ListTag` | `build()` Build an unnamed list tag with this builder's entries.
    `ListTag` | `build(java.lang.String name)` Build a new list tag with this builder's entries.
    `static ListTagBuilder` | `create(java.lang.Class<? extends Tag> type)` Create a new builder instance.
    `static <T extends Tag> ListTagBuilder` | `createWith(T... entries)` Create a new builder instance.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ListTagBuilder create(java.lang.Class<? extends Tag> type)

      Create a new builder instance.
      Returns:
        a new builder

    - #### createWith

          public static <T extends Tag> ListTagBuilder createWith(T... entries)

      Create a new builder instance.
      Returns:
        a new builder

    - #### add

          public ListTagBuilder add(Tag value)

      Add the given tag.
      Parameters:
        `value` - the tag
      Returns:
        this object

    - #### addAll

          public ListTagBuilder addAll(java.util.Collection<? extends Tag> value)

      Add all the tags in the given list.
      Parameters:
        `value` - a list of tags
      Returns:
        this object

    - #### build

          public ListTag build()

      Build an unnamed list tag with this builder's entries.
      Returns:
        the new list tag

    - #### build

          public ListTag build(java.lang.String name)

      Build a new list tag with this builder's entries.
      Parameters:
        `name` - the name of the tag
      Returns:
        the created list tag